# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXGetPixels

Function

Returns a pointer to the data in an image Field.

Syntax
`
#include <dx/dx.h>
`

RGBColor *DXGetPixels(Field i)

Functional Details

Returns a pointer to the Array of RGBColors of an image `i`. The length of this array can be determined using `DXGetImageSize`.

Return Value

Returns a pointer or returns `NULL` and sets an error code.

See Also

`DXGetImageSize, DXGetImageBounds, DXMakeImage`

16.9 , "Image Fields".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]